Package Details: upplay 1.3.8-1

Git Clone URL: https://aur.archlinux.org/upplay.git (read-only)
Package Base: upplay
Description: A Qt5 based UPnP audio Control point
Upstream URL: http://www.lesbonscomptes.com/upplay/
Licenses: GPL2
Submitter: Tristelune
Maintainer: FabioLolix
Last Packager: FabioLolix
Votes: 12
Popularity: 0.215052
First Submitted: 2014-11-05 14:14
Last Updated: 2019-07-12 15:16

Latest Comments

1 2 3 Next › Last »

Jose_Ramirez commented on 2019-04-04 18:18

Ebuild from ElVirolo works for me. FaipLolix Please Update.

FabioLolix commented on 2019-02-26 21:22

Update coming tomorrow

ElVirolo commented on 2019-02-24 21:57

This should work:

pkgname=upplay
pkgver=1.3.1
pkgrel=1
pkgdesc="A Qt5 based UPnP audio Control point, stable version"
url="http://www.lesbonscomptes.com/upplay/"
arch=(x86_64 i686 arm armv6h armv7h aarch64)
license=(GPL2)
depends=(libupnpp qt5-webkit)
makedepends=(qt5-script)
source=("https://www.lesbonscomptes.com/${pkgname}/downloads/${pkgname}-$pkgver.tar.gz")
sha256sums=('f31ef0b0c598d610fec22ea4f096036f2ddec60d875262ed98d2be90f7e80328')

prepare() {
    cd "${srcdir}/${pkgname}-${pkgver}/dirbrowser"
    sed -i 's/QtWebKit/QtWebKitWidgets/' dirbrowser.ui
}

build(){
    cd "$srcdir/${pkgname}-${pkgver}"
    qmake -o Makefile upplay.pro PREFIX=/usr
}

package(){
    cd "${srcdir}/${pkgname}-${pkgver}"
    make install INSTALL_ROOT="${pkgdir}"
}

Edit: It would be cleaner with a patch file. Edit 2: And signature checking :)

phgGrue commented on 2019-02-23 21:20

Sorry for this garbage - please could someone clean it up and make a good PKGBUILD as shown. After explicit setting upnpav = 1 in /etc/upmpdcli.conf everything works perfect, the next track plays without any help by hand. (upnpav should be set by default, but seems not to be - but very, very big thanks to the one "from the Medoc"!!!)

phgGrue commented on 2019-02-23 19:42

prepare() { cd "${srcdir}/${pkgname}-${pkgver}/dirbrowser" sed -i 's/QtWebKit/QtWebKitWidgets/' dirbrowser.ui }

build(){ cd "$srcdir/${pkgname}-${pkgver}" qmake -o Makefile upplay.pro PREFIX=/usr }

package(){ cd "${srcdir}/${pkgname}-${pkgver}" make install INSTALL_ROOT="${pkgdir}" }

phgGrue commented on 2019-02-23 19:40

Sorry for the bad line breaks. Maybe nano does it better:# Maintainer: Fabio 'Lolix' Loli lolix@disroot.org -> https://github.com/FabioLolix

Contributor: Tristelune tristelune@archlinux.info

pkgname=upplay pkgver=1.3.0 pkgrel=1 pkgdesc="A Qt5 based UPnP audio Control point, stable version" url="http://www.lesbonscomptes.com/upplay/" arch=(x86_64 i686 arm armv6h armv7h aarch64) license=(GPL2) depends=(libupnpp qt5-webkit) makedepends=(qt5-script) source=("https://www.lesbonscomptes.com/${pkgname}/downloads/${pkgname}-$pkgver.tar.gz") sha256sums=('d2c6cdaf1c71219f389277070cd68bb6171b1a20f72212acbde46a356f6e17aa')

prepare() { cd "${srcdir}/${pkgname}-${pkgver}/dirbrowser" sed -i 's/QtWebKit/QtWebKitWidgets/' dirbrowser.ui }

build(){ cd "$srcdir/${pkgname}-${pkgver}" qmake -o Makefile upplay.pro PREFIX=/usr }

package(){ cd "${srcdir}/${pkgname}-${pkgver}" make install INSTALL_ROOT="${pkgdir}" }

phgGrue commented on 2019-02-23 19:30

I got it working. But first I had installed it with yay - got an error and then edit the PKGBUILD as ElVirolo described. Then: makepkg / sudo -U .....pkg.tar.gz But upplay does not play the next track automatically, I have to start it playing manually ----------(any idea?)!!!!!!!!!!!!! This is the PKGBUILD:

Maintainer: Fabio 'Lolix' Loli lolix@disroot.org -> https://github.com/FabioLolix
Contributor: Tristelune tristelune@archlinux.info

pkgname=upplay pkgver=1.3.0 pkgrel=1 pkgdesc="A Qt5 based UPnP audio Control point, stable version" url="http://www.lesbonscomptes.com/upplay/" arch=(x86_64 i686 arm armv6h armv7h aarch64) license=(GPL2) depends=(libupnpp qt5-webkit) makedepends=(qt5-script) source=("https://www.lesbonscomptes.com/${pkgname}/downloads/${pkgname}-$pkgver.tar.gz") sha256sums=('d2c6cdaf1c71219f389277070cd68bb6171b1a20f72212acbde46a356f6e17aa')

prepare() { cd "${srcdir}/${pkgname}-${pkgver}/dirbrowser" sed -i 's/QtWebKit/QtWebKitWidgets/' dirbrowser.ui }

build(){ cd "$srcdir/${pkgname}-${pkgver}" qmake -o Makefile upplay.pro PREFIX=/usr }

package(){ cd "${srcdir}/${pkgname}-${pkgver}" make install INSTALL_ROOT="${pkgdir}" }

FabioLolix commented on 2019-02-11 21:58

For build failures I'll get in touch with the developer in the next days

ElVirolo commented on 2019-02-11 11:53

Quick fix: add the following function in the PKGBUILD before the build() function:

prepare() {
  cd "${srcdir}/${pkgname}-${pkgver}/dirbrowser"
  sed -i 's/QtWebKit/QtWebKitWidgets/' dirbrowser.ui
}

Edit: sorry, doesn't compile.

kaefert commented on 2019-02-09 10:28

@mqs @blueyed -> same error for me, both with this and also with https://aur.archlinux.org/packages/upplay-git